Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1573629

Description of problem:   

When trying to perform bulk action "Manage Repository Sets" on Content Hosts, if a Content Host has never registered, it will fail and

return an undefined method error:

NoMethodError: undefined method `uuid' for nil:NilClass

Version-Release number of selected component (if applicable):   

Red Hat Satellite 6.3.1

How reproducible:   Easily, always?

Steps to Reproduce:

1.   Create a Host: WebUI-> Hosts -> All Hosts -> Create Host - But do not actually build one yet or register that host.

2.   Go to WebUI -> Content Hosts and select a number of hosts, including the one just created (which should show as "Never

registered" and "Never checked in"

3.   Select "Select Action" -> "Manage Repository Sets" and choose a Repository set and either "Override to Enabled" or "Override to

disabled"

Actual results:

The task "Update Contennt Overrides to <content-host>" will fail with an error simply saying "undefined method `uuid' for nil:NilClass"

Expected results:   

The task should still fail, or give a warning, more gracefully with an explanation of the failure rather than the undefined method error.

Additional info:

Associated revisions

Revision d2b7208c - 06/18/2018 10:50 PM - Samir Jha

Fixes #23887 - Unclear error on manage repo set bulk action

History

#1 - 06/11/2018 03:00 PM - Samir Jha

- Assignee set to Samir Jha
#2 - 06/11/2018 03:50 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/7436 added

#3 - 06/11/2018 03:52 PM - Samir Jha

- Difficulty set to trivial

#4 - 06/13/2018 05:47 PM - Justin Sherrill

- translation missing: en.field_release set to 338

#5 - 06/18/2018 11:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|d2b7208cdb7378238736a3b09d79a1579fed90be.
